<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="nivreeager">



<!--common-->
         <feature>InputColumn(POSTAG,Stack[0])</feature>
         <feature>InputColumn(POSTAG,Input[0])</feature>
         <feature>InputColumn(POSTAG,Input[1])</feature>
         <feature>InputColumn(POSTAG,Input[2])</feature>
         <feature>InputColumn(POSTAG,Input[3])</feature>
         <feature>InputColumn(POSTAG,Stack[1])</feature>
         
         <!--new chinese-->
 
         <feature>InputColumn(CPOSTAG,Input[0])</feature>
         <feature>InputColumn(CPOSTAG,Input[1])</feature>
         
         
         <!-- new chinese-->
         <feature>InputColumn(POSTAG,ldep(Stack[0]))</feature>
         <feature>InputColumn(POSTAG,rdep(Stack[0]))</feature>
         
         <!-- german removed
         <feature>InputColumn(POSTAG,succ(Stack[0]))</feature>
         <feature>InputColumn(POSTAG,head(Stack[1]))</feature>
         -->
        
         <!--common-->
         <feature>OutputColumn(DEPREL,Stack[0])</feature>
         <feature>OutputColumn(DEPREL,rdep(Stack[0]))</feature>
         <feature>InputColumn(FORM,Stack[0])</feature>
         <feature>InputColumn(FORM,Input[0])</feature>         
         <feature>InputColumn(FORM,Input[1])</feature>
         <feature>InputColumn(FORM,head(Stack[0]))</feature>
         
         <!-- new chinese -->
         <feature>InputColumn(FORM,ldep(Stack[0]))</feature>
         <feature>InputColumn(FORM,rdep(Stack[0]))</feature>
         
         <!-- german removed
         <feature>OutputColumn(DEPREL,rdep(Stack[0]))</feature>
         <feature>InputColumn(FORM,pred(Input[0]))</feature>
         <feature>InputColumn(FORM,pred(Stack[0]))</feature>
         <feature>InputColumn(FORM,succ(Stack[0]))</feature>
         -->    
         
         <feature>Merge(InputColumn(POSTAG,Input[0]), OutputColumn(DEPREL, ldep(Input[0])))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(POSTAG,ldep(Input[0])))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[1]), InputColumn(POSTAG, Input[2]), InputColumn(POSTAG, Input[3]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[0]), InputColumn(POSTAG, Input[1]), InputColumn(POSTAG, Input[2]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[0]), InputColumn(POSTAG, Input[0]), InputColumn(POSTAG, Input[1]))</feature>
     
         <!--<feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(FEATS,Input[0]))</feature>-->
         <feature>Merge(InputColumn(POSTAG,Input[0]), InputColumn(POSTAG, Stack[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(FORM,Input[1]))</feature>
         <!--<feature>Merge(InputColumn(POSTAG,Input[2]),InputColumn(FEATS,Input[2]))</feature>-->
         <feature>Merge3(InputColumn(CPOSTAG,Stack[0]), InputColumn(CPOSTAG, Input[0]), InputColumn(CPOSTAG, Input[1]))</feature>
      
       
         <feature>Merge3(OutputColumn(DEPREL,Stack[0]), OutputColumn(DEPREL,rdep(Stack[0])), OutputColumn(DEPREL,ldep(Input[0]))</feature>
         <feature>Merge3(InputColumn(FORM,head(Stack[0])), InputColumn(FORM,ldep(Stack[0])), InputColumn(FORM,rdep(Stack[0])))</feature>
         <feature>Merge(InputColumn(POSTAG, ldep(Stack[0])), InputColumn(POSTAG, rdep(Stack[0])))</feature>



<feature>OutputColumn(DEPREL, pred(Stack[0]))</feature>
<feature>InputColumn(CPOSTAG, rsib(ldep(Stack[0])))</feature>
<feature>InputColumn(POSTAG, rsib(ldep(Stack[0])))</feature>


<feature>OutputColumn(DEPREL, Stack[2])</feature>




<feature>InputColumn(POSTAG, Input[4]))</feature>
<feature>OutputColumn(DEPREL, ldep(head(Stack[0])))</feature>
<feature>InputColumn(FORM, head(Stack[0]))</feature>
<feature>OutputColumn(DEPREL, rsib(ldep(Input[0])))</feature>

<feature>InputColumn(POSTAG, rsib(ldep(Input[0])))</feature>
        </featuremodel>
</featuremodels>
